Page MenuHomePhabricator

Spike: Turning on geocoding for proximity searches
Closed, ResolvedPublic4 Estimate Story Points

Description

Pretty please turn on geocoding for donors over a certain amount so that we can perform proximity searches. This will help us immensely with events!

Event Timeline

LeanneS created this task.Jun 3 2016, 12:23 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 3 2016, 12:23 AM
DStrine added a subscriber: awight.Jun 8 2016, 4:17 PM

Per our meeting on 6/8 we will attempt to map zipcode to longitude and latitude. That should give us an appropriate level of accuracy. @awight thinks it will not be that big of a performance hit.

DStrine renamed this task from Turning on geocoding for proximity searches to Spike: Turning on geocoding for proximity searches.Jun 10 2016, 8:46 PM
awight set the point value for this task to 4.Jun 11 2016, 1:00 AM

Some thoughts

  • Get a zipcode database with appropriate licensing. Might have to buy a subscription.
  • Hopefully we can hook into large_donation, and avoid messing with the built-in Civi geocoding things. Otherwise, we're in for a whole world of adapting the Civi things.
Ejegg closed this task as Resolved.Dec 14 2016, 10:13 PM
Ejegg claimed this task.
Ejegg added a subscriber: Ejegg.

Oh hey, we did this as part of T86239!